package com.platform.modules.qk.dto;

import java.io.Serializable;
import java.util.Arrays;

public class Timeline implements Serializable {
    private String Id;
    private String Title;
    private String CreationTime;
    private String ModifiedTime;
    private Float Duration;
    private Float CurrentRuler;
    private Float CurrentPosition;
    private VideoTrack[] VideoTracks;

    public String getId() {
        return Id;
    }

    public void setId(String id) {
        Id = id;
    }

    public String getTitle() {
        return Title;
    }

    public void setTitle(String title) {
        Title = title;
    }

    public String getCreationTime() {
        return CreationTime;
    }

    public void setCreationTime(String creationTime) {
        CreationTime = creationTime;
    }

    public String getModifiedTime() {
        return ModifiedTime;
    }

    public void setModifiedTime(String modifiedTime) {
        ModifiedTime = modifiedTime;
    }

    public Float getDuration() {
        return Duration;
    }

    public void setDuration(Float duration) {
        Duration = duration;
    }

    public Float getCurrentRuler() {
        return CurrentRuler;
    }

    public void setCurrentRuler(Float currentRuler) {
        CurrentRuler = currentRuler;
    }

    public Float getCurrentPosition() {
        return CurrentPosition;
    }

    public void setCurrentPosition(Float currentPosition) {
        CurrentPosition = currentPosition;
    }

    public VideoTrack[] getVideoTracks() {
        return VideoTracks;
    }

    public void setVideoTracks(VideoTrack[] videoTracks) {
        VideoTracks = videoTracks;
    }

    @Override
    public String toString() {
        return "Timeline{" +
                "Id='" + Id + '\'' +
                ", Title='" + Title + '\'' +
                ", CreationTime='" + CreationTime + '\'' +
                ", ModifiedTime='" + ModifiedTime + '\'' +
                ", Duration=" + Duration +
                ", CurrentRuler=" + CurrentRuler +
                ", CurrentPosition=" + CurrentPosition +
                ", VideoTracks=" + Arrays.toString(VideoTracks) +
                '}';
    }
}
